GuideLab API

Add component to order

Adds a component to an order with item name, lot number, and optional reference to the lab's component catalog. Only labs can add components to their orders.

POST
/orders/{id}/components

Adds a component to an order with item name, lot number, and optional reference to the lab's component catalog. Only labs can add components to their orders.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Order ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/orders/550e8400-e29b-41d4-a716-446655440000/components" \  -H "Content-Type: application/json" \  -d '{    "lotNumber": "string",    "itemName": "string"  }'
{  "component": {    "id": "string",    "orderId": "string",    "labComponentId": "string",    "itemName": "string",    "lotNumber": "string",    "notes": "string",    "addedBy": "string",    "addedByName": "string",    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty
Empty
Empty
Empty